﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace sl_Chart_ticket_540821
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            var info = new List<TemperatureInfo>();

            var now = DateTime.Now;
            var r = new Random();

            for (int i = 0; i < 1000; i++)
                info.Add(new TemperatureInfo() { Date = now.AddDays(i), Celsius = r.Next(10, 30) });

            this.DataContext = info;
        }
    }

    public class TemperatureInfo
    {
        public DateTime Date { get; set; }
        public int Celsius { get; set; }
    }
}
